[![Logo](./logo.png)](https://bitmart.com)

# BitMart-Ruby-SDK-API
=========================

Python client for the [BitMart Cloud API](http://developer-pro.bitmart.com).

## Feature
=========================
- Provides exchange quick trading API
- Easier withdrawal
- Efficiency, higher speeds, and lower latencies
- Priority in development and maintenance
- Dedicated and responsive technical support
- Provide webSocket apis calls

## Installation
=========================

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'bitmart'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install bitmart

## Usage
=========================
* An example of a spot trade API
* Replace it with your own API KEY
* Run

### API Example
```ruby
require "bitmart"

spot = Bitmart::API::V1::Spot.new("api_key")

alts = spot.get_currencies["data"]["currencies"].map do |c|
         if c["withdraw_enabled"] == true || c["deposit_enabled"] == true
           c
         end
       end.compact

my_alts = spot.get_wallet["data"]["wallet"]
          
diff_alts = alts.map do |coin|
              unless my_alts.detect {  |h| h["id"] == coin["id"] }
                coin
              end
            end.compact
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/bastosmichael/bitmart.

## Release Notes
=========================

** 2021-12-10 
- Proof of concept Ruby gem build with working API end points.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
